Permalink
26e0761 Jun 15, 2018
1 contributor

Users who have contributed to this file

71 lines (70 sloc) 2.29 KB
{
"name": "v-tooltip",
"version": "2.0.0-rc.33",
"description": "Easy tooltips with Vue 2.x",
"main": "dist/v-tooltip.umd.js",
"module": "dist/v-tooltip.esm.js",
"unpkg": "dist/v-tooltip.min.js",
"scripts": {
"build": "npm run build:browser && npm run build:es && npm run build:umd",
"build:browser": "rollup --config build/rollup.config.browser.js",
"build:es": "rollup --config build/rollup.config.es.js",
"build:umd": "rollup --config build/rollup.config.umd.js",
"prepublishOnly": "npm run test && npm run build",
"dev": "cross-env NODE_ENV=development rollup --config build/rollup.config.es.js --watch",
"test": "npm run test:unit",
"test:unit": "jest --config tests/unit/jest.config.js --coverage"
},
"repository": {
"type": "git",
"url": "git+https://github.com/Akryum/vue-tooltip.git"
},
"keywords": [
"vue",
"tooltip"
],
"author": "Guillaume Chau <guillaume.b.chau@gmail.com>",
"license": "ISC",
"bugs": {
"url": "https://github.com/Akryum/vue-tooltip/issues"
},
"homepage": "https://github.com/Akryum/vue-tooltip#readme",
"dependencies": {
"lodash.merge": "^4.6.0",
"popper.js": "^1.12.9",
"vue-resize": "^0.4.3"
},
"devDependencies": {
"babel-core": "^6.0.0",
"babel-eslint": "^7.1.1",
"babel-jest": "^21.2.0",
"babel-plugin-dynamic-import-node": "^1.1.0",
"babel-plugin-external-helpers": "^6.22.0",
"babel-polyfill": "^6.26.0",
"babel-preset-env": "^1.6.0",
"babel-preset-stage-0": "^6.16.0",
"clean-css": "^4.1.8",
"cross-env": "^5.0.5",
"eslint": "^4.7.2",
"eslint-config-standard": "^10.2.1",
"eslint-plugin-html": "^3.2.1",
"eslint-plugin-import": "^2.7.0",
"eslint-plugin-node": "^5.1.1",
"eslint-plugin-promise": "^3.4.0",
"eslint-plugin-standard": "^3.0.1",
"jest": "^21.2.1",
"jest-serializer-vue": "^0.3.0",
"jest-vue": "^0.8.2",
"rollup": "^0.51.8",
"rollup-plugin-babel": "^3.0.2",
"rollup-plugin-commonjs": "^8.2.0",
"rollup-plugin-node-resolve": "^3.0.0",
"rollup-plugin-replace": "^2.0.0",
"rollup-plugin-uglify": "^2.0.1",
"rollup-plugin-vue": "^2.4.1",
"uglify-es": "^3.0.28",
"vue-server-renderer": "^2.5.3",
"vue-template-compiler": "^2.5.2",
"vue-test-utils": "^1.0.0-beta.4"
}
}